package me.km.items;

import net.minecraft.item.Item;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.SplashPotionItem;
import net.minecraft.item.ItemStack;
import net.minecraftforge.api.distmarker.Dist;
import net.minecraftforge.api.distmarker.OnlyIn;

public class ItemNoGlintSplashPotion extends SplashPotionItem {
    public ItemNoGlintSplashPotion() {
        super(new Item.Properties().maxStackSize(16).group(ItemGroup.BREWING));
    }

    @OnlyIn(Dist.CLIENT)
    @Override
    public boolean hasEffect(ItemStack stack) {
        return stack.isEnchanted();
    }
}
